stages:
  - build

include:
  - project: openraven/open/gitlab-ci
    file: /docker-ecr-push.yml

build image:
  extends: .build-ecr-image
  stage: build
  variables:
    PUBLIC_DOCKER_IMAGE: "${CI_REGISTRY_IMAGE}:${CI_PIPELINE_ID}"
    # upstream arm64 not supported: https://github.com/splunk/docker-splunk/issues/516
    BUILD_ARM64: "FALSE"
